Package org.apache.lucene.search.suggest.fst

# Class FSTCompletion.Completion

java.lang.Object
org.apache.lucene.search.suggest.fst.FSTCompletion.Completion

All Implemented Interfaces:
  `Comparable<FSTCompletion.Completion>`

Enclosing class:
  `FSTCompletion`

public static final class FSTCompletion.Completion extends Object implements Comparable<FSTCompletion.Completion>
A single completion for a given key.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `bucket`
  source bucket (weight) of the suggestion
  `final BytesRef`
  `utf8`
  UTF-8 bytes of the suggestion

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(FSTCompletion.Completion o)`
  Completions are equal when their `utf8` images are equal (bucket is not compared).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### utf8

    public final BytesRef utf8
    UTF-8 bytes of the suggestion

  - ### bucket

    public final int bucket
    source bucket (weight) of the suggestion

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(FSTCompletion.Completion o)
    Completions are equal when their `utf8` images are equal (bucket is not compared).
    Specified by:
      `compareTo` in interface `Comparable<FSTCompletion.Completion>`